Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.parameter
Class Encoding

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Parameter
              net.fortuna.ical4j.model.parameter.Encoding

All Implemented Interfaces:
  Serializable

    public class Encoding

extends Parameter

Defines an Inline Encoding parameter. Constants are provided for all encodings specified in RFC2045.

      4.2.7 Inline Encoding

         Parameter Name: ENCODING

         Purpose: To specify an alternate inline encoding for the property
         value.

         Format Definition: The property parameter is defined by the following
         notation:

           encodingparam      = "ENCODING" "="
                                ("8BIT"
              ; "8bit" text encoding is defined in [RFC 2045]
                              / "BASE64"
              ; "BASE64" binary encoding format is defined in [RFC 2045]
                              / iana-token
              ; Some other IANA registered iCalendar encoding type
                              / x-name)
              ; A non-standard, experimental encoding type

         Description: The property parameter identifies the inline encoding
         used in a property value. The default encoding is "8BIT",
         corresponding to a property value consisting of text. The "BASE64"
         encoding type corresponds to a property value encoded using the
         "BASE64" encoding defined in [RFC 2045].

         If the value type parameter is ";VALUE=BINARY", then the inline
         encoding parameter MUST be specified with the value
         ";ENCODING=BASE64".

         Example:

           ATTACH;FMTYPE=IMAGE/JPEG;ENCODING=BASE64;VALUE=BINARY:MIICajC
            CAdOgAwIBAgICBEUwDQYJKoZIhvcNAQEEBQAwdzELMAkGA1UEBhMCVVMxLDA
            qBgNVBAoTI05ldHNjYXBlIENvbW11bmljYXRpb25zIENvcnBvcmF0aW9uMRw
            <...remainder of "BASE64" encoded binary data...>

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary
`static Encoding` | `BASE64`
`static Encoding` | `BINARY`
`static Encoding` | `EIGHT_BIT`
`static Encoding` | `QUOTED_PRINTABLE`
`static Encoding` | `SEVEN_BIT`

Fields inherited from class net.fortuna.ical4j.model.Parameter
`ALTREP, CN, CUTYPE, DELEGATED_FROM, DELEGATED_TO, DIR, ENCODING, EXPERIMENTAL_PREFIX, FBTYPE, FMTTYPE, LANGUAGE, MEMBER, PARTSTAT, RANGE, RELATED, RELTYPE, ROLE, RSVP, SENT_BY, TZID, VALUE`

Constructor Summary
`Encoding(String aValue)`

Method Summary
`String` | `getValue()`

Methods inherited from class net.fortuna.ical4j.model.Parameter
`equals, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SEVEN_BIT

    public static final Encoding SEVEN_BIT

### EIGHT_BIT

    public static final Encoding EIGHT_BIT

### BINARY

    public static final Encoding BINARY

### QUOTED_PRINTABLE

    public static final Encoding QUOTED_PRINTABLE

### BASE64

    public static final Encoding BASE64

Constructor Detail

### Encoding

    public Encoding(String aValue)

Parameters:
  `aValue` - a string representation of an Inline Encoding

Method Detail

### getValue

    public final String getValue()

  Specified by:
    `getValue` in class `Parameter`
  Returns:
    Returns the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.